You are either not logged in or not registered with our community. Click here to register.
 
December 02, 2016, 08:45:10 PM

Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length

Click here if you are having problems.
Default Wide Screen Beige Lilac Rainbow Black & Blue October Send us your theme!

Hark!  The Herald!
Holiday Issue 2016

Wiki Blogs Dicebot

Author Topic: This fox is on fire.  (Read 734 times)

0 Members and 1 Guest are viewing this topic.

Offline ParadoxTopic starter

This fox is on fire.
« on: November 20, 2009, 07:50:49 AM »
My girlfriend uses an old macbook (a G4, I believe) with OS 10.3.9 and Firefox Version 2.0. Firefox's latest upgrade (3.5) is only compatible with OS 10.4 and above.

Does anyone know how to go about downloading a previous release of Firefox-- say, 3.0? I checked all around their website, but they're only offering the latest release.

Offline Lilias

Re: This fox is on fire.
« Reply #1 on: November 20, 2009, 07:54:10 AM »

Offline Bliss

Re: This fox is on fire.
« Reply #2 on: November 20, 2009, 07:57:04 AM »

Offline Karma

Re: This fox is on fire.
« Reply #3 on: November 20, 2009, 11:21:04 AM »
Or you could have Googled "old Firefox versions" or something like that, silly goose.

Offline ParadoxTopic starter

Re: This fox is on fire.
« Reply #4 on: November 20, 2009, 12:26:25 PM »
Or you could have Googled "old Firefox versions" or something like that, silly goose.

I did, but they all ended up taking me to Mozilla's page, which only had alternate-language versions of 3.5.

Apparently I didn't poke around enough; thanks Lilias (and Bliss).

I'll update y'all to see if it works properly once I try to install it on her computer.

Offline Bliss

Re: This fox is on fire.
« Reply #5 on: November 20, 2009, 12:27:45 PM »
* Bliss tips her hat.
I use my powers for awesome.